import request from '@/utils/request'

// 查询电整点耗量报表列表
export function listPointDnb(query) {
  return request({
    url: '/report/pointDnb/list',
    method: 'get',
    params: query
  })
}

// 查询电整点耗量报表详细
export function getPointDnb(objId) {
  return request({
    url: '/report/pointDnb/' + objId,
    method: 'get'
  })
}

// 新增电整点耗量报表
export function addPointDnb(data) {
  return request({
    url: '/report/pointDnb',
    method: 'post',
    data: data
  })
}

// 修改电整点耗量报表
export function updatePointDnb(data) {
  return request({
    url: '/report/pointDnb',
    method: 'put',
    data: data
  })
}

// 删除电整点耗量报表
export function delPointDnb(objId) {
  return request({
    url: '/report/pointDnb/' + objId,
    method: 'delete'
  })
}
//查询设备计量设备信息下拉结构
export function getMonitorInfoTree(){
  return request({
    url: '/base/monitorInfo/monitorInfoTree',
    method: 'post'
  })
}
